import type { Theme } from '../../lib/theming/Theme';
export declare const globalClasses: {
    handle: string;
    container: string;
    disabled: string;
    containerDisabled: string;
    containerLoading: string;
    background: string;
};
export declare const styles: {
    root(t: Theme): string;
    rootSmall(t: Theme): string;
    rootMedium(t: Theme): string;
    rootLarge(t: Theme): string;
    disableAnimation(): string;
    handle(t: Theme): string;
    handleSmall(t: Theme): string;
    handleMedium(t: Theme): string;
    handleLarge(t: Theme): string;
    handleDisabled(t: Theme): string;
    input(t: Theme): string;
    inputSmall(t: Theme): string;
    inputMedium(t: Theme): string;
    inputLarge(t: Theme): string;
    container(t: Theme): string;
    containerSmall(t: Theme): string;
    containerMedium(t: Theme): string;
    containerLarge(t: Theme): string;
    containerDisabled(t: Theme): string;
    focused(t: Theme): string;
    isWarning(t: Theme): string;
    isError(t: Theme): string;
    button(t: Theme): string;
    buttonSmall(t: Theme): string;
    buttonMedium(t: Theme): string;
    buttonLarge(t: Theme): string;
    buttonRight(): string;
    disabled(): string;
    rootLeft(): string;
    caption(t: Theme): string;
    captionSmall(t: Theme): string;
    captionMedium(t: Theme): string;
    captionLarge(t: Theme): string;
    disabledCaption(t: Theme): string;
    captionLeft(t: Theme): string;
};
